Commit 7d27edc2 authored by Alberto Villa's avatar Alberto Villa Committed by Vincent PINON

Avoid hardcoding MLT required version in wizard.c

config-kdenlive.h is there for this kind of things.
parent 959155fa
......@@ -5,7 +5,10 @@ project(Kdenlive)
set(KDENLIVE_VERSION 0.9.7)
# Minimum versions of main dependencies.
set(MLT_MIN_VERSION 0.8.8)
set(MLT_MIN_MAJOR_VERSION 0)
set(MLT_MIN_MINOR_VERSION 8)
set(MLT_MIN_PATCH_VERSION 8)
set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})
set(QT_MIN_VERSION 4.5.0)
set(KDE_MIN_VERSION 4.3.0)
......
......@@ -4,6 +4,9 @@
#define KDENLIVE_VERSION "@KDENLIVE_VERSION_STRING@"
#define MLT_PREFIX "@MLT_PREFIX@"
#define MLT_MIN_MAJOR_VERSION @MLT_MIN_MAJOR_VERSION@
#define MLT_MIN_MINOR_VERSION @MLT_MIN_MINOR_VERSION@
#define MLT_MIN_PATCH_VERSION @MLT_MIN_PATCH_VERSION@
#cmakedefine HAVE_MALLOC_H 1
#cmakedefine HAVE_PTHREAD_H 1
......
......@@ -47,9 +47,9 @@
#include <QTimer>
// Recommended MLT version
const int mltVersionMajor = 0;
const int mltVersionMinor = 8;
const int mltVersionRevision = 8;
const int mltVersionMajor = MLT_MIN_MAJOR_VERSION;
const int mltVersionMinor = MLT_MIN_MINOR_VERSION;
const int mltVersionRevision = MLT_MIN_PATCH_VERSION;
static const char kdenlive_version[] = KDENLIVE_VERSION;
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment